org.apache.ignite.logger.slf4j

## Class Slf4jLogger

- java.lang.Object
- - org.apache.ignite.logger.slf4j.Slf4jLogger

- All Implemented Interfaces:
    IgniteLogger

      public class Slf4jLogger
      extends Object
      implements IgniteLogger

  SLF4J-based implementation for logging. This logger should be used by loaders that have prefer slf4j-based logging.

  Here is an example of configuring SLF4J logger in Ignite configuration Spring file:

            <property name="gridLogger">
                <bean class="org.apache.ignite.logger.slf4j.Slf4jLogger"/>
            </property>

  It's recommended to use Ignite's logger injection instead of using/instantiating logger in your task/job code. See `LoggerResource` annotation about logger injection.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.ignite.IgniteLogger

      `DEV_ONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Slf4jLogger()` Creates new logger.
    `Slf4jLogger(org.slf4j.Logger impl)` Creates new logger with given implementation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg)` Logs out debug message.
    `void` | `debug(@Nullable String marker, String msg)` Logs out debug message.
    `void` | `error(@Nullable String marker, String msg, @Nullable Throwable e)` Logs error message with optional exception.
    `void` | `error(String msg, @Nullable Throwable e)` Logs error message with optional exception.
    `@Nullable String` | `fileName()` Gets name of the file being logged to if one is configured or `null` otherwise.
    `Slf4jLogger` | `getLogger(Object ctgr)` Creates new logger with given category based off the current instance.
    `void` | `info(String msg)` Logs out information message.
    `void` | `info(@Nullable String marker, String msg)` Logs out information message.
    `boolean` | `isDebugEnabled()` Tests whether `debug` level is enabled.
    `boolean` | `isInfoEnabled()` Tests whether `info` level is enabled.
    `boolean` | `isQuiet()` Tests whether Logger is in "Quiet mode".
    `boolean` | `isTraceEnabled()` Tests whether `trace` level is enabled.
    `String` | `toString()`
    `void` | `trace(String msg)` Logs out trace message.
    `void` | `trace(@Nullable String marker, String msg)` Logs out trace message.
    `void` | `warning(@Nullable String marker, String msg, @Nullable Throwable e)` Logs out warning message with optional exception.
    `void` | `warning(String msg, @Nullable Throwable e)` Logs out warning message with optional exception.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.IgniteLogger

      `error, warning`

- - ### Constructor Detail

    - #### Slf4jLogger

          public Slf4jLogger()

      Creates new logger.

    - #### Slf4jLogger

          public Slf4jLogger(org.slf4j.Logger impl)

      Creates new logger with given implementation.
      Parameters:
        `impl` - SLF4J implementation to use.

  - ### Method Detail

    - #### getLogger

          public Slf4jLogger getLogger(Object ctgr)

      Creates new logger with given category based off the current instance.
      Specified by:
        `getLogger` in interface `IgniteLogger`
      Parameters:
        `ctgr` - Category for new logger.
      Returns:
        New logger with given category.

    - #### trace

          public void trace(String msg)

      Logs out trace message.
      Specified by:
        `trace` in interface `IgniteLogger`
      Parameters:
        `msg` - Trace message.

    - #### trace

          public void trace(@Nullable
                            @Nullable String marker,
                            String msg)

      Logs out trace message. The default implementation calls `this.trace(msg)`.
      Specified by:
        `trace` in interface `IgniteLogger`
      Parameters:
        `marker` - Name of the marker to be associated with the message.
        `msg` - Trace message.

    - #### debug

          public void debug(String msg)

      Logs out debug message.
      Specified by:
        `debug` in interface `IgniteLogger`
      Parameters:
        `msg` - Debug message.

    - #### debug

          public void debug(@Nullable
                            @Nullable String marker,
                            String msg)

      Logs out debug message. The default implementation calls `this.debug(msg)`.
      Specified by:
        `debug` in interface `IgniteLogger`
      Parameters:
        `marker` - Name of the marker to be associated with the message.
        `msg` - Debug message.

    - #### info

          public void info(String msg)

      Logs out information message.
      Specified by:
        `info` in interface `IgniteLogger`
      Parameters:
        `msg` - Information message.

    - #### info

          public void info(@Nullable
                           @Nullable String marker,
                           String msg)

      Logs out information message. The default implementation calls `this.info(msg)`.
      Specified by:
        `info` in interface `IgniteLogger`
      Parameters:
        `marker` - Name of the marker to be associated with the message.
        `msg` - Information message.

    - #### warning

          public void warning(String msg,
                              @Nullable
                              @Nullable Throwable e)

      Logs out warning message with optional exception.
      Specified by:
        `warning` in interface `IgniteLogger`
      Parameters:
        `msg` - Warning message.
        `e` - Optional exception (can be `null`).

    - #### warning

          public void warning(@Nullable
                              @Nullable String marker,
                              String msg,
                              @Nullable
                              @Nullable Throwable e)

      Logs out warning message with optional exception. The default implementation calls `this.warning(msg)`.
      Specified by:
        `warning` in interface `IgniteLogger`
      Parameters:
        `marker` - Name of the marker to be associated with the message.
        `msg` - Warning message.
        `e` - Optional exception (can be `null`).

    - #### error

          public void error(String msg,
                            @Nullable
                            @Nullable Throwable e)

      Logs error message with optional exception.
      Specified by:
        `error` in interface `IgniteLogger`
      Parameters:
        `msg` - Error message.
        `e` - Optional exception (can be `null`).

    - #### error

          public void error(@Nullable
                            @Nullable String marker,
                            String msg,
                            @Nullable
                            @Nullable Throwable e)

      Logs error message with optional exception. The default implementation calls `this.error(msg)`.
      Specified by:
        `error` in interface `IgniteLogger`
      Parameters:
        `marker` - Name of the marker to be associated with the message.
        `msg` - Error message.
        `e` - Optional exception (can be `null`).

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Tests whether `trace` level is enabled.
      Specified by:
        `isTraceEnabled` in interface `IgniteLogger`
      Returns:
        `true` in case when `trace` level is enabled, `false` otherwise.

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Tests whether `info` level is enabled.
      Specified by:
        `isInfoEnabled` in interface `IgniteLogger`
      Returns:
        `true` in case when `info` level is enabled, `false` otherwise.

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Tests whether `debug` level is enabled.
      Specified by:
        `isDebugEnabled` in interface `IgniteLogger`
      Returns:
        `true` in case when `debug` level is enabled, `false` otherwise.

    - #### isQuiet

          public boolean isQuiet()

      Tests whether Logger is in "Quiet mode".
      Specified by:
        `isQuiet` in interface `IgniteLogger`
      Returns:
        `true` "Quiet mode" is enabled, `false` otherwise

    - #### fileName

          @Nullable
          public @Nullable String fileName()

      Gets name of the file being logged to if one is configured or `null` otherwise.
      Specified by:
        `fileName` in interface `IgniteLogger`
      Returns:
        Name of the file being logged to if one is configured or `null` otherwise.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022